Bug 1478297 - Add NULL gfid checks before creating file
Add NULL gfid checks before creating file
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: posix (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravishankar N
: Triaged
Depends On:
Blocks: 1479474 1491985
  Show dependency treegraph
 
Reported: 2017-08-04 04:37 EDT by Ravishankar N
Modified: 2017-09-15 04:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479474 1491985 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravishankar N 2017-08-04 04:37:12 EDT
Description of problem:
Add checks in code to prevent file potentially being created with a gfid of all zeroes.
Comment 1 Worker Ant 2017-08-04 04:40:51 EDT
REVIEW: https://review.gluster.org/17975 (posix: add null gfid checks) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)
Comment 2 Worker Ant 2017-08-05 03:59:24 EDT
REVIEW: https://review.gluster.org/17981 (afr: Prevent null gfids in self-heal entry re-creation) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)
Comment 3 Worker Ant 2017-08-05 04:21:56 EDT
REVIEW: https://review.gluster.org/17975 (posix: add null gfid checks) posted (#2) for review on master by Ravishankar N (ravishankar@redhat.com)
Comment 4 Worker Ant 2017-08-07 04:55:36 EDT
REVIEW: https://review.gluster.org/17975 (posix: add null gfid checks) posted (#3) for review on master by Ravishankar N (ravishankar@redhat.com)
Comment 5 Worker Ant 2017-08-07 23:37:05 EDT
COMMIT: https://review.gluster.org/17981 committed in master by Ravishankar N (ravishankar@redhat.com) 
------
commit bead74a6e085001225bc0704bad1a5db36dd75a1
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Fri Aug 4 16:23:46 2017 +0530

    afr: Prevent null gfids in self-heal entry re-creation
    
    Change-Id: I5acb8bd0a19fc4e764d61e349bb690b5236ee610
    BUG: 1478297
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-on: https://review.gluster.org/17981
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Karthik U S <ksubrahm@redhat.com>
Comment 6 Worker Ant 2017-08-08 08:54:29 EDT
COMMIT: https://review.gluster.org/17975 committed in master by Raghavendra Bhat (raghavendra@redhat.com) 
------
commit c63aa2239bc682739328e0aa6cbcb3279a72a8e2
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Mon Aug 7 12:14:23 2017 +0530

    posix: add null gfid checks
    
    ...in file/dir creation and lookup codepaths. The check is relaxed for
    fops coming from trash xlator at the moment until trash has client side
    logic to send the create fops with gfid-req.
    
    Also fixed the missing trash pid assignment in creates sent by trash
    xlator. Without this, truncated files won't be moved to .trashcan.
    
    Change-Id: Ieddd7f0634850e7c7010e4fbb4ad1eead35888c8
    BUG: 1478297
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-on: https://review.gluster.org/17975
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.